using System.ComponentModel.DataAnnotations;

namespace ConstructorAppUI.Dtos.ContactUsDtos
{
    public class CreateContactUsDto
    {
        public DateTime Date { get; set; } = DateTime.Now;
        [Required(ErrorMessage = "Ad Soyad alanı zorunludur.")]
        [StringLength(50, ErrorMessage = "Ad Soyad en fazla 50 karakter olabilir.")]
        public string? NameSurname { get; set; }

        [Required(ErrorMessage = "Mail adresi zorunludur.")]
        [EmailAddress(ErrorMessage = "Geçerli bir e-posta adresi giriniz.")]
        public string? Mail { get; set; }

        [Required(ErrorMessage = "Telefon numarası zorunludur.")]
        [Phone(ErrorMessage = "Geçerli bir telefon numarası giriniz.")]
        public string? Phone { get; set; }

        [Required(ErrorMessage = "Mesaj içeriği boş bırakılamaz.")]
        [StringLength(500, ErrorMessage = "Mesaj en fazla 500 karakter olabilir.")]
        public string? MessageContent { get; set; }
        public bool Status { get; set; }
    }
}
